# $Revision: 1.30 $, $Date: 2002/07/16 11:34:32 $
%include	/usr/lib/rpm/macros.perl
%define		pdir	MIME
%define		pnam	Base64
Summary:	Perl MIME::Base64 module
Summary(cs):	Modul MIME::Base64 pro Perl
Summary(da):	Perlmodul MIME::Base64
Summary(de):	MIME::Base64 Perl Modul
Summary(es):	Mdulo de Perl MIME::Base64
Summary(fr):	Module Perl MIME::Base64
Summary(it):	Modulo di Perl MIME::Base64
Summary(ja):	MIME::Base64 Perl ⥸塼
Summary(ko):	MIME::Base64  
Summary(no):	Perlmodul MIME::Base64
Summary(pl):	Modu Perla MIME::Base64
Summary(pt):	Mdulo de Perl MIME::Base64
Summary(pt_BR):	Mdulo Perl MIME::Base64
Summary(ru):	  Perl MIME::Base64
Summary(sv):	MIME::Base64 Perlmodul
Summary(uk):	  Perl MIME::Base64
Summary(zh_CN):	MIME::Base64 Perl ģ
Name:		perl-MIME-Base64
Version:	2.12
Release:	6
License:	distributable
Group:		Development/Languages/Perl
Source0:	ftp://ftp.cpan.org/pub/CPAN/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
BuildRequires:	rpm-perlprov >= 3.0.3-16
BuildRequires:	perl >= 5.6
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package contains a base64 encoder/decoder and a quoted-printable
encoder/decoder. These encoding methods are specified in RFC 2045 -
MIME (Multipurpose Internet Mail Extensions).

The Base64 encoding is designed to represent arbitrary sequences of
octets in a form that need not be humanly readable. A 65-character
subset ([A-Za-z0-9+/=]) of US-ASCII is used, enabling 6 bits to be
represented per printable character.

The quoted-printable encoding is intended to represent data that
largely consists of bytes that correspond to printable characters in
the ASCII character set. Non-printable characters are represented by a
triplet consisting of the character "=" followed by two hexadecimal
digits.

%description -l pl
Modu perla wspomagajcy algorytm MIME Base64.
Ten pakiet zawiera (de)koder base64 i quoted-printable. Metody te
okrelone s w RFC 2045 - MIME (Multipurpose Internet Mail Extensions).

Kod base64 zaprojektowano do reprezentowania okrelonej sekwencji
oktetw w formie, ktra nie musi by czytelna dla czowieka. Uywany
jest 65-znakowy ([A-Za-z0-9+/=]) podzestaw z zestawu US-ASCII,
reprezentujc kady znak drukowalny szecioma bitami.

Kod quoted-printable stosuje si do reprezentacji danych, ktre w
wikszoci zawieraj znaki drukowlne ASCII. Znaki niedrukowalne s
kodowane w triplety zawierajce poprzedzone znakiem "=" dwie cyfry
szesnastkowe.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
perl Makefile.PL
%{__make} OPTIMIZE="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/%{perl_archlib}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%{perl_sitearch}/MIME/*.pm
%dir %{perl_sitearch}/MIME
%dir %{perl_sitearch}/auto/MIME
%dir %{perl_sitearch}/auto/MIME/Base64
%{perl_sitearch}/auto/MIME/Base64/*.bs
%attr(755,root,root) %{perl_sitearch}/auto/MIME/Base64/*.so
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: perl-MIME-Base64.spec,v $
Revision 1.30  2002/07/16 11:34:32  ankry
- translations, cleaning
- added %%doc files
- release 6

Revision 1.29  2002/07/10 08:47:56  depesz
- applied changes using automat supplied by Radoslaw Zielinski

Revision 1.28  2002/05/11 14:28:09  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.27  2002/02/25 10:33:05  depesz
cleanup; revision++

Revision 1.26  2002/02/22 23:29:29  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.25  2002/02/18 16:40:11  gotar
- added/fixed polish %%descriptions.

Revision 1.24  2002/02/13 14:18:32  depesz
automatic: Source location unified, Relase Up

Revision 1.23  2002/02/10 15:28:56  depesz
adapterized

Revision 1.22  2002/01/18 02:14:21  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.20  2001/07/16 00:10:26  qboosh
- added %%{perl_sitearch}/{,auto/}MIME dirs (no other package uses them)
- release 3

Revision 1.19  2001/04/30 16:05:27  kloczek
- added using %%{rpmcflags} macro.

Revision 1.18  2001/04/17 12:12:03  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.17  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.16  2001/02/28 19:09:49  mis
- updated (by autoup) to 2.12

Revision 1.15  2001/01/25 20:03:45  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2001/01/11 01:58:16  kloczek
- release 5: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.13  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.12  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.11  2000/04/01 11:15:19  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.10  2000/03/28 16:54:55  baggins
- translated kloczkish into english

Revision 1.9  1999/12/04 20:36:27  kloczek
- new enhanced %%descriprion from Mandrake spec.

Revision 1.8  1999/11/07 09:17:09  pius
- fixed required rpm-perlprov version

Revision 1.7  1999/10/23 11:35:08  wiget
Release ++

Revision 1.6  1999/10/23 11:21:19  wiget
- %include /usr/lib/rpm/macros.perl
- BuildRequires: rpm-perlprov

Revision 1.5  1999/09/28 12:28:42  pius
- removed directories owned by perl-mod-skel from package
- release up

Revision 1.4  1999/09/15 00:08:40  wiget
- release 2

Revision 1.3  1999/09/14 16:58:53  wiget
- fixed BuildRequires:

Revision 1.2  1999/08/28 12:10:10  wiget
- modified for perl 5.005_61

Revision 1.1  1999/07/13 11:33:14  wiget
initial release
